Bug 377531 - Map for choosing timezone does not zoom in smoothly
Map for choosing timezone does not zoom in smoothly
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-12 06:03 EST by Dave Crossland
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-12 10:45:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Crossland 2007-11-12 06:03:59 EST
Description of problem: The map for choosing timezone does not zoom in smoothly,
because it is a series of bitmap images. SVG or some zooming code magic is
required :-)

Version-Release number of selected component (if applicable): F8

How reproducible: Easy

Steps to Reproduce:
1. Click on the zoom widget 
Actual results: The map snaps in/out

Expected results: The map smoothly zooms in/out
Comment 1 Nils Philippsen 2007-11-12 10:45:13 EST
The map is not a series of bitmap images but one highres bitmap image that's
scaled down to the selected zoom factor. The current GnomeCanvas based
implementation of the map isn't performant enough to do anything near smooth
zooming. Sorry ;-). I'll have to defer that until there are more
high-performance canvas widgets.
Comment 2 Dave Crossland 2007-11-12 18:48:51 EST
http://www.clutter-project.org/ seems like it might hbe such a widget?
Comment 3 Nils Philippsen 2007-11-13 04:44:51 EST
That's not what I meant, I didn't want to switch widget toolkits ;-). I meant
that  either the GnomeCanvas widget would have to be fixed in that regard
(unlikely I guess) things would have to be ported to a different canvas widget.
Such a widget could e.g. be Cairo[1] based which would allow for a vector map
(should one exist that can be incorporated in GPL software).

[1]: http://cairographics.org/
Comment 4 Nils Philippsen 2007-11-13 05:22:40 EST
Here "one" would be "a vectorized world map".
Comment 5 Dave Crossland 2007-11-14 20:06:49 EST
Yes, a plain Cairo canvas would also do the trick for simple zooming in to a
vector map smoothly, but clutter appears -
http://clutter-project.org/screenshots/clutter-gtk.jpg - to give the
coverflow-style slick UI that will _really_ impress users during the
installation, and since GNU/Linux is getting very tough competition from OS X at
the moment this is important, I think. 

For a GPL compatible vectorised world map, if there isnt one, the
www.openclipart.org community would be worth contacting :)
Comment 6 Nils Philippsen 2007-11-15 04:14:27 EST
"Clutter uses OpenGL ... for rendering ..." which is an absolute no-go as far as
system tools are concerned until stable, accelerated OpenGL is available everywhere.

Note You need to log in before you can comment on or make changes to this bug.